View Issue Details

IDProjectCategoryView StatusLast Update
0003631Far Manager_Commonpublic2018-08-06 19:42
ReporterskipikAssigned Tozg 
PrioritynormalSeveritycrashReproducibilityalways
Status feedbackResolutionreopened 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003631: AV при работе с панелями плагинов начиная с b5242 Git-66b5e627a
DescriptionАрхив Zip, CtrlPgDn, F6 на любой файл с указанием "Удалить архив после
распаковки [x]". Архив удаляется, файл распакован, но в плагине возникает
внутренее AV предположительно из-за закрытия панели плагина до завершения
его операций. AV может возникать и в любом ином плагине. Наблюдается после
b5242 Git-66b5e627a
Steps To Reproduce1. Архив Zip
2. CtrlPgDn
3. F6 на любой файл с указанием "Удалить архив после распаковки [x]
4. Архив удаляется, файл распакован, но в плагине возникает внутренее AV
Additional InformationAV:

[spoiler=AV]

   ╔═══════════════════════ Исключительная 
ситуация ════════════════════════╗
   ║ Исключение:  0xC0000005 - EXCEPTION_ACCESS_VIOLATION                   ║
   ║ Подробности: Memory at 0000000000000018 could not be read              ║
   ║ Адрес:       0x7FF630775BFC - Far.exe!PluginManager::GetOpenPanelInfo  ║
   ║ Источник:    c:\src\far\plugins.cpp:1134                               ║
   ║ Функция:     main                                                      ║
   ║ Модуль:      E:\Downloads\Far30b5247.x64.20180801\Far.exe              ║
   ╟────────────────────────────────────────────────────────────────────────╢
   
║        { Завершить Far } [ Стек ] [ Минидамп ] [ Игнорировать ]        
║
   ╚════════════════════════════════════════════════════════════════════════╝

[/spoiler]

Стек:

[spoiler=Stack]

   ╔═══════════════════════════════════════════ 
Исключительная ситуация ═══════════════════════════════════════════╗
   
║ 0x7FF630775BFC Far.exe!PluginManager::GetOpenPanelInfo (c:\src\far\plugins.cpp:1134)                          
║
   ║ 0x7FF630677FB3 Far.exe!FileList::PutDizToPlugin (c:\src\far\filelist.cpp:5612)                                
║
   ║ 0x7FF630678FF2 Far.exe!FileList::PluginGetFiles (c:\src\far\filelist.cpp:5728)                                
║
   ║ 0x7FF63067542D Far.exe!FileList::ProcessCopyKeys (c:\src\far\filelist.cpp:5105)                               
║
   ║ 0x7FF6306682C0 Far.exe!FileList::ProcessKey (c:\src\far\filelist.cpp:2080)                                    
║
   ║ 0x7FF630695F7B Far.exe!FilePanels::ProcessKey (c:\src\far\filepanels.cpp:808)                                 
║
   ║ 0x7FF6307134A2 Far.exe!Manager::ProcessKey (c:\src\far\manager.cpp:793)                                       
║
   ║ 0x7FF630712DE6 Far.exe!Manager::ProcessMainLoop (c:\src\far\manager.cpp:624)                                  
║
   ║ 0x7FF630712BE5 Far.exe!Manager::EnterMainLoop (c:\src\far\manager.cpp:594)                                    
║
   ║ 0x7FF63070A558 Far.exe!MainProcess (c:\src\far\main.cpp:296)                                                  
║
   ║ 0x7FF63070E865 Far.exe!mainImpl (c:\src\far\main.cpp:779)                                                     
║
   ║ 0x7FF63070EB5D Far.exe!wmain_seh (c:\src\far\main.cpp:814)                                                    
║
   ║ 0x7FF63070ED10 Far.exe!<lambda_f557715d107e17c1f0ffe1ecac8b9d34>::operator() (c:\src\far\main.cpp:856)        
║
   ║ 0x7FF63070ED5E Far.exe!seh_invoke<<lambda_f557715d107e17c1f0ffe1ecac8b9d34>,<lambda_343e737940d039daed43b3869 
║
   ║ 0x7FF63070ECC6 Far.exe!main (c:\src\far\main.cpp:863)                                                         
║
   ║ 0x7FF6307F3238 Far.exe!__scrt_common_main_seh (f:\dd\vctools\crt\vcstartup\src\startup\exe_common.inl:283)    
║
   ║ 0x7FFABE473034 KERNEL32.DLL!BaseThreadInitThunk                                                               
║
   ║ 0x7FFAC0731431 ntdll.dll!RtlUserThreadStart                                                                   
║
   ╟───────────────────────────────────────────────────────────────────────────────────────────────────────────────╢
   
║                                                    { OK }                                                     
║
   ╚═══════════════════════════════════════════════════════════════════════════════════════════════════════════════╝

[/spoiler]
TagsNo tags attached.
Build5249

Relationships

related to 0003629 closedmichael.lukashov Plugins Падение фара при закрытии из панели NetBox 

Activities

DrKnS

2018-08-05 00:16

administrator   bugnote:0016193

Еще повторяется?

skipik

2018-08-05 12:49

reporter   bugnote:0016194

Повторить не получилось. Похоже, что исправлено.

2useven10

2018-08-06 19:42

developer   bugnote:0016196

5254 - ничего не изменилось.
падает также и там же как и до 5249.

Issue History

Date Modified Username Field Change
2018-08-01 23:36 skipik New Issue
2018-08-02 11:56 JohnDoe Relationship added related to 0003629
2018-08-02 11:56 JohnDoe Additional Information Updated View Revisions
2018-08-05 00:16 DrKnS Note Added: 0016193
2018-08-05 12:49 skipik Note Added: 0016194
2018-08-05 15:45 DrKnS Assigned To => zg
2018-08-05 15:45 DrKnS Status new => closed
2018-08-05 15:45 DrKnS Resolution open => fixed
2018-08-05 15:45 DrKnS Fixed in Version => 3.0
2018-08-05 15:45 DrKnS Build => 5249
2018-08-06 19:42 2useven10 Status closed => feedback
2018-08-06 19:42 2useven10 Resolution fixed => reopened
2018-08-06 19:42 2useven10 Note Added: 0016196